Bug 521202

Summary: mash broken for RHEL due to pinpointed sha256 metadata
Product: [Fedora] Fedora Reporter: Alexander Kahl <fedora>
Component: mashAssignee: Bill Nottingham <notting>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 11CC: dcantrell, notting, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.5.8-3.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-30 01:41:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alexander Kahl 2009-09-04 09:42:20 UTC
This bug involves createrepo.

Recently after the change to use SHA256 checksums by default for yum metadata created by createrepo as defined in
/usr/lib/python2.6/site-packages/createrepo/__init__.py:62
creating RHEL repositories with mash is broken as said systems still demand SHA1 checksums and while createrepo itself offers an option (-s) to override the checksum method, mash does not, neither on the command line nor in its configuration files.

Please provide such an option for legacy systems.

Package versions:
- mash-0.5.3-1.fc11.noarch
- createrepo-0.9.7-7.fc11.noarch

Comment 1 Bill Nottingham 2009-09-04 16:46:44 UTC
This was fixed in the rawhide 0.5.4 version; I suppose I should push an update for F11.

Comment 2 Fedora Update System 2009-09-04 19:06:06 UTC
mash-0.5.8-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mash-0.5.8-3.fc11

Comment 3 Alexander Kahl 2009-09-06 16:35:24 UTC
Hi Bill,

thanks for the quick reaction. Unfortunately I'm on vacation now and able to verify the fix on 20 September earliest.

Best regards
Alex

Comment 4 Fedora Update System 2009-09-06 20:37:11 UTC
mash-0.5.8-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9313

Comment 5 Fedora Update System 2009-09-30 01:40:38 UTC
mash-0.5.8-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Alexander Kahl 2009-11-24 12:45:23 UTC
Looks really good, thank you!
I'd be nice to some more documentation for mash however, even the obligatory manpage is missing and I had to look up mash's sources to find out the parameter name "hash".